org.apache.naming.factory

## Class ResourceLinkFactory

- java.lang.Object
- - org.apache.naming.factory.ResourceLinkFactory

- All Implemented Interfaces:
    javax.naming.spi.ObjectFactory
  Direct Known Subclasses:
    DataSourceLinkFactory

      public class ResourceLinkFactory
      extends java.lang.Object
      implements javax.naming.spi.ObjectFactory

  Object factory for resource links.

  Author:
    Remy Maucherat

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceLinkFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,?> environment)` Create a new DataSource instance.
    `static void` | `setGlobalContext(javax.naming.Context newGlobalContext)` Set the global context (note: can only be used once).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceLinkFactory

          public ResourceLinkFactory()

  - ### Method Detail

    - #### setGlobalContext

          public static void setGlobalContext(javax.naming.Context newGlobalContext)

      Set the global context (note: can only be used once).
      Parameters:
        `newGlobalContext` - new global context value

    - #### getObjectInstance

          public java.lang.Object getObjectInstance(java.lang.Object obj,
                                           javax.naming.Name name,
                                           javax.naming.Context nameCtx,
                                           java.util.Hashtable<?,?> environment)
                                             throws javax.naming.NamingException

      Create a new DataSource instance.
      Specified by:
        `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
      Parameters:
        `obj` - The reference object describing the DataSource
      Throws:
        `javax.naming.NamingException`

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.